Last modified: 2012-12-03 19:20:32 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16971 - Deadlock detection
Deadlock detection
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.13.x
All All
: Low major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 28599
  Show dependency treegraph
 
Reported: 2009-01-11 13:52 UTC by DaSch
Modified: 2012-12-03 19:20 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description DaSch 2009-01-11 13:52:15 UTC
It seams to me that there is no deadlock detection in mediawiki software

I sometimes get mysql-errors because of deadlocks, so I hope the deadlock detection could be made better so that normal users does not see error pages and do not know what to do

hopefully this helps
http://dev.mysql.com/doc/refman/5.0/en/innodb-deadlocks.html
Comment 1 Sumana Harihareswara 2011-11-22 20:44:19 UTC
DaSch, do you still see this in more modern versions of MediaWiki?
Comment 2 Aaron Schulz 2011-11-22 20:53:29 UTC
MediaWiki can't really detect mysql DB engine level deadlocks, that's the responsibility of the DB. What MediaWiki can do is avoid holding locks for excessive time and use up-front locking in some cases to reduce the chance of deadlocks. They will not be eliminated completely.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links